NativeBridgeDataSource.getRoomInfo = function () {
  if (typeof android != "undefined") {
    return JSON.parse(android.getRoomInfo());
  } else {
    return JSON.parse(callNativeApp(NATIVE_KEY_IOS.getRoomInfo, {}));
  }
};

var RoomInfo = class {
  roomID;
  roomName;
  constructor(roomInfo) {
    this.roomID = roomInfo.roomID;
    this.roomName = roomInfo.roomName;
  }
};

var roomInfo = new RoomInfo(NativeBridgeDataSource.getRoomInfo());